{% extends 'base.html' %}
{% block customhead %}
{% load static %}
<title>Mis Perris</title>
<style>
    #profile_photo{
        max-width: 100%;
    }
</style>
{% endblock %}

{% block content %}
<div class="container-fluid darkgreen">
    <div class="row justify-content-center minheight">
        <div class="col-md-2" style="color:white;">

            <!--If photo exists, show it-->
            {% if a.profile.foto %}
            <img src="/media/{{a.profile.foto}}" alt="Foto" id="profile_photo" class="center"> <br>
            {% endif %}
            <!--If user is logged, show options-->
            {% if user.username == a.username %}
            <p class="text-center"><a data-toggle="collapse" href="#formfoto">Cambiar foto</a>
                <br>
                <!--If photo exists, show remove option-->
            {% if a.profile.foto %}
                <a href="quitarfoto/">Quitar
                    foto</a>
            {% endif %}
            </p>
            <div class="collapse" id="formfoto">
                <form action="subirfoto/" method="POST" enctype="multipart/form-data">
                    {% csrf_token %}
                    <label for="">Foto</label>
                    <input type="file" name="foto" value="foto" class="form-control-file" required accept="image/*">
                    <br>
                    <input type="submit" value="Cambiar">
                </form>
            </div>
            {% endif %}
        </div>
        <div class="col-10 col-md-8 green" style="color:white;">
            <br>
            <h3>{{a.first_name}}</h3>
            <h5>E-Mail: {{a.email}} <br>
                Telefono: {{a.profile.telefono}} <br>
                Fecha Nacimiento: {{a.profile.fechanacimiento}}</h5> <br>
                <h4>Perros adoptados:</h4>
                {% for p in adoptados %}
                {% if p.dueno == a %}
                <h5>{{p}}</h5>
                {% endif %}
                {% endfor %}
               
        </div>
        <div class="col-md-2" style="color:white;">
            <!--If user is logged, show options-->
            {% if user.username == a.username %}
            <p class="text-center"><a data-toggle="collapse" href="#formpass">Cambiar Contraseña</a> <br>
                <a href="/eliminarcuenta/">Eliminar cuenta</a></p>
            <div class="collapse" id="formpass">
                <form action="cambiarcontrasena/" method="POST" id="formnewpass">
                    {% csrf_token %}
                    <label for="">Nueva Contraseña</label>
                    <input type="password" name="newpass" class="form-control" id="newpass" required>
                    <br>
                    <input type="submit" value="Cambiar">
                </form>
            </div>
            {% endif %}
        </div>

    </div>
    <br>
</div>
</div>
{% endblock %}
{% block customscripts %}
<script src="{% static 'js/validatechangepassword.js' %}"></script>
{% endblock %}